# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'betterobject/version'

Gem::Specification.new do |spec|
  spec.name          = "betterobject"
  spec.version       = Betterobject::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{Object method generator system}
  spec.description   = %q{This gem installs several class methods to Object which in turn generates both class and instance methods but only when you are ready.
In order to prevent name pollution, you have the ability to manage the generators to pick alternate names if you prefer.
After scouring the RubyGems site, some of the better Class upgrades are included here as well as some of my own.
The gem creates the backbone upon which future upgrades should be forthcoming.
As a teaser, some of the generators presently include: obj.local_methods, obj.inherited_methods, obj.replaced_methods, obj.in?, COBJ.comes_from?, COBJ.derives_from?, obj.find_def.
There are currently 20 generators and counting.
Calling Object.better_install_all will install all of the generators.
You can also generate a subset by calling Object.better_install(:generator_name).
The generator names are also the method names which can be renamed by calling Object.better_rename(old_name, new_name);}

  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.files.push "lib/generators.rb"
  
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'byebug', ">= 5.0.0"    
end
